<app-breadcrumb [single]="true" titlePage="Usuarios"></app-breadcrumb>
<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="col-12">
      <h3 class="">
        <a class="btn btn-primary" [routerLink]="['/admin/users/create']">
          <fa-icon [icon]="faPlus"></fa-icon>
          Agregar Usuario
        </a>
      </h3>
    </div>
    <div class="card mb-3 text-white">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3><fa-icon [icon]="faTable"></fa-icon> Tabla de Usuarios</h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary text-white">
            <tr>
              <th>Nombre</th>
              <th>Email</th>
              <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let user of users |  paginate: { itemsPerPage: 10, currentPage: page }; let i=index">
              <td>
                <a [routerLink]="['/admin/users/edit', user.uid]" title="Editar">
                  {{ user.name }}
                </a>
              </td>
              <td>{{ user.email }}</td>
              <td width="50px" class="text-center" *ngIf="user.uid == storage.getUser().uid"></td>
              <td width="50px" class="text-center" *ngIf="user.uid != storage.getUser().uid">
                <fa-icon [icon]="faPowerOff" class="text-danger cursor" (click)="active(user.uid)" *ngIf="!user.active"></fa-icon>
                <fa-icon [icon]="faPowerOff" class="text-success cursor" (click)="desActive(user.uid)" *ngIf="user.active"></fa-icon>
                <fa-icon [icon]="faTrashAlt" class="text-danger ms-2 cursor" (click)="delete(user.uid)"></fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>
